//
//  ALiTradeDemoOpenUrlViewController.m
//  NBUltimateDemo
//
//

#import "ALiTradeDemoOpenUrlViewController.h"
#import <AlibcTradeUltimateSDK/AlibcTradeUltimateSDK.h>
#import "ALiTradeDemoShareParam.h"

@interface ALiTradeDemoOpenUrlViewController ()

@property (nonatomic,copy)NSString *url;

@end

@implementation ALiTradeDemoOpenUrlViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    _urlTextField.text = _url = @"https://oauth.m.taobao.com/authorize?response_type=code&client_id=26039602&redirect_uri=https%3A%2F%2Fmarket.m.taobao.com%2Fapp%2Fctm%2Ffreshman_CtoC%2Fpages%2Finvited%3Fwh_weex%3Dtrue&state=1212";
}

- (IBAction)urlChanged:(UITextField*)sender {
    self.url = sender.text;
}


- (IBAction)openTradeUrl:(UIButton *)sender {
    //@"https://temai.m.taobao.com/"
    // 构造showParam
    AlibcTradeShowParams *showParams = [AlibcTradeShowParams new];
    showParams.failMode = [ALiTradeDemoShareParam sharedInstance].nativeFailMode;
    showParams.isNeedOpenByAliApp = [ALiTradeDemoShareParam sharedInstance].isNeedOpenByAliApp;
    showParams.isPushBCWebView = [ALiTradeDemoShareParam sharedInstance].isNeedPushWebView;
    if ([ALiTradeDemoShareParam sharedInstance].linkKey) {
         showParams.linkKey = @"tmall";
    }else {
         showParams.linkKey = @"taobao";
    }
   
    showParams.degradeUrl = [ALiTradeDemoShareParam sharedInstance].degardeUrl;
    
    // 构造taokeParam
    AlibcTradeTaokeParams *taokeParam = [AlibcTradeTaokeParams new];
    taokeParam.pid = [[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"pid"];
    taokeParam.unionId = [[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"unionId"];
    taokeParam.subPid = [[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"subPid"];
    taokeParam.relationId = [[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"relationId"];
    taokeParam.materialSourceUrl = [[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"materialSourceUrl"];
    taokeParam.extParams = [[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"extParams"];
    
    [[[AlibcTradeUltimateSDK sharedInstance] tradeService] openTradeUrl:self.url parentController:self showParams:showParams taoKeParams:taokeParam trackParam:[ALiTradeDemoShareParam sharedInstance].trackParams openUrlCallBack:^(NSError *_Nonnull error, NSDictionary *result) {
        if (error) {
            NSLog(@"调用成功");
        } else {
            NSLog(@"调用失败");
        }
    }];
}

@end
