//
//  AlibcTradeTaokeParamsConfigViewController.m
//  NBdemo
//
//

#import "AlibcTradeTaokeParamsConfigViewController.h"
#import "ALiTradeDemoShareParam.h"

@interface AlibcTradeTaokeParamsConfigViewController ()

@end

@implementation AlibcTradeTaokeParamsConfigViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
   _relationid.backgroundColor = [UIColor whiteColor];
   _pid.backgroundColor= [UIColor whiteColor];
   _subpid.backgroundColor= [UIColor whiteColor];
   _unionId.backgroundColor=[UIColor whiteColor];
   _extParams.backgroundColor=[UIColor whiteColor];
    _materialSourceUrl.backgroundColor = [UIColor whiteColor];
    
   _relationid.textColor = [UIColor blackColor];
   _pid.textColor = [UIColor blackColor];
   _subpid.textColor = [UIColor blackColor];
   _unionId.textColor = [UIColor blackColor];
   _extParams.textColor = [UIColor blackColor];
    _materialSourceUrl.textColor = [UIColor blackColor];

}

-(void)viewDidAppear:(BOOL)animated{
    [super viewDidAppear:animated];
    _relationid.text=[NSString stringWithFormat:@"%@",[[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"relationId"]];
    _materialSourceUrl.text = [NSString stringWithFormat:@"%@",[[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"materialSourceUrl"]];
    _pid.text=[NSString stringWithFormat:@"%@",[[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"pid"]];
    _subpid.text=[NSString stringWithFormat:@"%@",[[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"subPid"]];
    _unionId.text=[NSString stringWithFormat:@"%@",[[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"unionId"]];
    _extParams.text=[NSString stringWithFormat:@"%@",[[ALiTradeDemoShareParam sharedInstance].taoKeParams objectForKey:@"extParams"]];
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self.view endEditing:YES];
    [_relationid resignFirstResponder];
    [_pid resignFirstResponder];
    [_subpid resignFirstResponder];
    [_unionId resignFirstResponder];
    [_extParams resignFirstResponder];
}
- (IBAction)relationIdChanged:(UITextField *)sender {
    _relationid.text = sender.text;
    [[ALiTradeDemoShareParam sharedInstance].taoKeParams setObject:_relationid.text forKey:@"relationId"];
}

- (IBAction)pidChanged:(UITextField *)sender {
    _pid.text = sender.text;
    [[ALiTradeDemoShareParam sharedInstance].taoKeParams setObject:_pid.text forKey:@"pid"];
}

- (IBAction)unionId:(UITextField *)sender {
    _unionId.text = sender.text;
    [[ALiTradeDemoShareParam sharedInstance].taoKeParams setObject:_unionId.text forKey:@"unionId"];
}

- (IBAction)subPidChanged:(UITextField *)sender {
    _subpid.text = sender.text;
    [[ALiTradeDemoShareParam sharedInstance].taoKeParams setObject:_subpid.text forKey:@"subPid"];
}
- (IBAction)extParams:(UITextField *)sender {
    _extParams.text = sender.text;
    [[ALiTradeDemoShareParam sharedInstance].taoKeParams setObject:_extParams.text forKey:@"extParams"];
}
- (IBAction)materiSourceUrlChanged:(UITextField *)sender {
    _materialSourceUrl.text = sender.text;
    [[ALiTradeDemoShareParam sharedInstance].taoKeParams setObject:_extParams.text forKey:@"materialSourceUrl"];
}

@end
