//
//  AlibcTradeConfigViewController.m
//  NBdemo
//
//

#import "AlibcTradeConfigViewController.h"
#import "AlibcTradeShowParamsConfigViewController.h"
#import "AlibcTradeTaokeParamsConfigViewController.h"
#import "ALiTradeDemoShareParam.h"

@interface AlibcTradeConfigViewController ()

@property(nonatomic,assign)BOOL isFirst;

@end

@implementation AlibcTradeConfigViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.isFirst = YES;
}

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}

- (IBAction)openShowParamsEdit:(id)sender {
    AlibcTradeShowParamsConfigViewController *vc = [[AlibcTradeShowParamsConfigViewController alloc]init];
    [self.navigationController pushViewController:vc animated:YES];
}

- (IBAction)openTaokeParams:(id)sender {
    AlibcTradeTaokeParamsConfigViewController *vc = [[AlibcTradeTaokeParamsConfigViewController alloc]init];
    [self.navigationController pushViewController:vc animated:YES];
}

- (IBAction)openTrackParams:(id)sender {
    UIStoryboard *storyboard = [UIStoryboard storyboardWithName:@"ALiTradeParamConfigViewController" bundle:nil];
    UIViewController * viewcontroller=[storyboard instantiateViewControllerWithIdentifier:@"ALiTradeParamConfigViewController"];
    viewcontroller.title=@"业务参数编辑";
    [self.navigationController pushViewController:viewcontroller animated:YES];
}

@end
