//
//  AlibcTradeShowParamsConfigViewController.m
//  NBdemo
//
//

#import "AlibcTradeShowParamsConfigViewController.h"
#import "ALiTradeDemoShareParam.h"

@interface AlibcTradeShowParamsConfigViewController ()

@property(nonatomic,assign)BOOL isFirst;

@end

@implementation AlibcTradeShowParamsConfigViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    _isNeedPush.on = [ALiTradeDemoShareParam sharedInstance].isNeedPushWebView;
    _isNeedOpenByAliApp.on = [ALiTradeDemoShareParam sharedInstance].isNeedOpenByAliApp;
    _openApp.selectedSegmentIndex = [ALiTradeDemoShareParam sharedInstance].linkKey;
    _nativeFailedMode.selectedSegmentIndex = [ALiTradeDemoShareParam sharedInstance].nativeFailMode;
    _degradeUrl.text = [ALiTradeDemoShareParam sharedInstance].degardeUrl;
}
- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self.view endEditing:YES];
    [_degradeUrl resignFirstResponder];
}

- (IBAction)isNeedOpenByAliAppChanged:(UISwitch *)sender {
    [ALiTradeDemoShareParam sharedInstance].isNeedOpenByAliApp = sender.on;
}

- (IBAction)openAppScheme:(id)sender {
    [ALiTradeDemoShareParam sharedInstance].linkKey=[sender selectedSegmentIndex];
}

- (IBAction)isNeedPush:(id)sender {
    [ALiTradeDemoShareParam sharedInstance].isNeedPushWebView=[sender isOn];
}

- (IBAction)nativeFailedMode:(id)sender {
    [ALiTradeDemoShareParam sharedInstance].nativeFailMode=[sender selectedSegmentIndex];
}

- (IBAction)degardeUrlChanged:(UITextField *)sender {
    [ALiTradeDemoShareParam sharedInstance].degardeUrl = sender.text;
}


@end
